Bug 36994 - XShmGetImage() is very slow when acceleration is turned on
XShmGetImage() is very slow when acceleration is turned on
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2001-04-21 13:03 EDT by olex
Modified: 2007-04-18 12:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-04-26 20:29:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description olex 2001-04-21 13:03:54 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.75 [en] (X11; U; Linux 2.2.16-22 i686)

Using shared memory for moving image data between the X server and the
graphical application is very slow when server acceleration is activated.
This was not the case in previous XFree86 versions.

On my PIII 933MHz/RIVA TNT2/i815, moving a 800x600 8-bit image with
XShmGetImage() takes around 72 milliseconds with accerelation turned on, as
is the default setup. When turning off acceleration with 'Option "NoAccel"
"1"' in /etc/X11/XF86Config-4, this drops to the more reasonable 3

Similar slowdowns are noticed with the same software on a Celeron
677/i815/Matrox G200.

Reproducible: Always
Steps to Reproduce:
1. Install Red Hat 7.1; X server acceleration is default set to active
2. Run an application which moves image data around with XShmGetImage()
3. Notice low framerate
4. Turn off acceleration with Option "NoAccel" "1" in XF86Config-4
5. Framerate increases dramatically

The tested application is our Olex seabed mapping and visualisation system,
previously installed on several hundred Red Hat 5.1 to 7.0 systems with
XFree86 3.3.x. A demonstration copy can be downloaded from www.olex.no.
Comment 1 Mike A. Harris 2001-04-26 20:29:43 EDT
Attach your config file and X server logs using the "Create a new attachment"
link below.
Comment 2 Mike A. Harris 2001-11-06 06:35:08 EST
Please feel free to reopen this report after attaching the requested
information, if this is still a problem.

Note You need to log in before you can comment on or make changes to this bug.